ShopMaster Help

ShopMaster > Help > Management Console

  • Help > Session
    • Help > Session > Preview In Browser
    • Help > Session > Log Off
    • Help > Session > View Program Log

  • Help > Preferences
    • Help > Preferences > General
    • Help > Preferences > Merchant
    • Help > Preferences > Tax
    • Help > Preferences > Shipping
    • Help > Preferences > Currencies
    • Help > Preferences > On-Line Banks

  • Help > Web Site
    • Help > Preferences > Page Manager

  • Help > Database
    • Help > Database > Table Manager
    • Help > Database > Export Data
    • Help > Database > Import Data

  • Help > Data Entry
    • Help > Data Entry > Products

ShopMaster > Help > Web Site

  • Help > Web Site
    • Help > Web Site > Layout
    • Help > Web Site > Direct Entry
    • Help > Web Site > Uploads & Updates

ShopMaster > Help > HTML Editor

  • Help > HTML Editor
    • Help > HTML Editor > Insert
    • Help > HTML Editor > Checkout


ShopMaster Help

Help > Session
  • Help > Session > Preview In Browser
  • Help > Session > Log Off
  • Help > Session > View Program Log


Help > Session > Log Off

Select Session > Log Off to prevent keyboard access to the Management Console.

Notes
  • The Log-In User Name and Password are set from Preferences > General > Administrators Login menu.


Help > Session > Preview

Select Session > Preview to view and test the Web Site directly in the ShopMaster Program.

Notes
  • If you have ticked 'Auto-Save on Preview' in the Preferences > General > Advanced menu, ShopMaster will save the Database Contents prior to loading the Web Site. Depending on the Database size this make take up to a couple of seconds.
  • To return to the Management Console, use the 'File.. Edit.. View.. etc' menus at the top of the program.


Help > Session > View Program Log

The ShopMaster Program Log saves a history of Web transactions and Database activity affecting a catalog.

If you are logged off from the program, the Program Log is the only screen to which you have access. The color coding for Log Events is as follows:

Program Events
Administrator Commands

Notes
  • The Logging Preferences are set from the Log Manager menu.


ShopMaster Help

Help > Web Site
  • Help > Web Site > Page Manager


Help > Web Site > Page Manager

Here you create, delete and edit pages of the Web Site. There are three types of page:
  • Top-Level Pages

    These are normal HTML pages which display a standard presentation.

    For example a page called 'About Us' would be a Top-Level Pages, only one instance of the page would exist on the Web Site. In the ShopMaster HTML Editor, you can link directly between and to Top-Level Pages in the same way as if you were building a Web Site in any HTML authoring package.

    When you first create a Database, the ShopMaster Wizard will create a core set of 'required' Top-Level Pages, to which you can add as many additional pages as required by pressing 'New Page'

    To edit a page, click it's name.
  1. Categories

    Product Categories are rendered not by individual Pages but by shared templates.

    You never link directly to a product Category, but to a Template that it is associated with. If you sell products in 100 Categories, you do not need to create 100 individual Top-Level Pages just to list links to each product. Instead you can use a single Category Template, which is re-used for each Category.

    When you first create a Database, ShopMaster will create a single default Category Template called 'Generic', to which you can add additional Category Templates if required for different layouts.

    You can set the appearance and layout of the data on the Category Templates either automatically, or manually as required. See 'Page Manager Options' below for details:

    To assign individual Product Categories to a particular Template, use the Set Assignments button.

    To edit a Template, click it's name.

    IMPORTANT NOTE: The category data will not appear on the Web Site unless it is called by the 'Generic Display Script' Insertable object. You need to place one of these on a page for the template to be rendered. See HTML Editor > Insert > Script Element for details.

  2. Products

    As with Categories, individual Products are rendered not by individual Pages but by shared templates.

    When you first create a Database, ShopMaster will create a single Product Template called 'Generic', to which you can add additional Product Templates if required for different layouts. The Generic Product Template is the default template for all new or un-assigned Products.

    The Data that can appear on the Page is set globally for all Product Pages from the Database > Table Manager.

    To assign an individual Product to a particular Product Template, change the Template field in Data Entry > Products.

Help > Web Site > Page Manager > Data Display Options

This is accessible from the 'Edit Manager Options' button on the Page Manager. It allow you to set the appearance of data on the Product and Category Templates, and the Search results and Shopping Basket Top Level Pages. In other words, whenever data is pulled from the database to be displayed to screen, the Edit Manager Options are invoked.

The options run in two modes, automatic (simple) or manual (advanced) mode. These operate as follows:

1. Automatic Mode. If the options are in automatic mode, the options screen allows you to turn the display on/off for different database fields by ticking the boxes for each field.

2. Manual Mode. In manual mode, you can optionally edit a 'Data Chunk' in the Page Manager to set the display data. This allows you high visual control over the layout of information on screen.

To create the Manual Mode Data Chunk, in the Page Manager, press 'Edit Data Chunk' next to either the Shopping Basket, Search Results, or Category Template menu. This will fire the HTML Editor, with individual product attributes, and 'Buy' and 'Remove' buttons available from the INSERT > SCRIPT ELEMENT menu in the Editor. Use this method to create the display chunk with the data, layout, fonts and formatting you require, then press 'Save' in the Editor to return to the Page Manager.

The Data Chunks are rendered repeatedly, each time a list of product data is called into a template or page. The field names placed into the Data Chunk are replaced with corresponding product data from the Database.

.


ShopMaster Help

Help > Preferences
  • Help > Preferences > General
  • Help > Preferences > Merchant
  • Help > Preferences > Tax
  • Help > Preferences > Shipping
  • Help > Preferences > Currencies
  • Help > Preferences > On-Line Banks


Help > Preferences > General

Here you control Global Preferences for the Program and Web Site. The available Preferences are as follows:

  • Administrator's Login

    When you open a Database, you are prompted for a Login Name and Password. These are set from this menu.

    Without a valid Login and Password the Management Console cannot be accessed. For a New Database both Login and Password are set to 'Administrator'. It is recommended you change these as soon as you create a New Database.

  • Server Settings
    1. 'CGI Script Address' A ShopMaster Web Site contains only Client-Side pages. This means that it will run on any Web Server without special configuration.

      However a single CGI Script running on a properly configured Server is required for tempory storage of orders, messages and mailing list add/remove requests. This is known as the 'Gateway' script. The Gateway does not have to be on the same Server as the Web Site.

      The default Gateway for all ShopMaster Web Sites on this version is https://www.shopmaster.net/cgi-local/sm3d.pl. If you prefer to run your own CGI scripts, a clone of this Gateway script is available from http://www.shopmaster.net/v3/download.htm. If you have installed this Gateway Script on your own Server, you can change the Web Site Gateway by entering the revised script address in the 'CGI Script Address' box.
    2. Secure Server Base HREF If you are using the Wizard-Created 'Checkout - Secure Server' page in combination with a 'Secure Server' (such as the free Shopmaster CGI Gateway) , you need to either not include images on the page, or to place the images on a Secure Server yourself, to avoid Browser Security alerts when the page is loaded. Enter the URL of your secure images directory here, if you have one.
    3. 'When an order passes through the Server, mail a copy to the Customer' If you tick this box, a confirmation copy of the Order will be sent 'As Is' to the Customer, immediately it reaches the Gateway.
    4. 'And to' If you want the confirmation copy to be also e-mailed to up to three other addresses, enter them in these three boxes.
  • Checkout Options

    Break form submission out of frameset. If your checkout form is going to a Secure Server, tick this box to leave the Web Site (and database) and render only the secure server page. Note that if you do, from the secure server point on the database will no longer be accessable, and the browser 'back' button will return to a cleared shopping basket.

  • Database Preferences

    Here you can set the ID Prefix for all new Products

    ShopMaster automatically numbers new entries starting from '000', with the prefix in front.

    If we have an empty products list, with the product prefix set to 'PX', then the first product we create will have a Product ID of 'PX000', the second product will have a Product ID of 'PX001', etc.
  • Search Results / Catagory Templates / Shopping Basket Display
    1. Hits / Row This sets the number of times product data will be called before a 'new row' is started on the respective Web Site page display.
    2. Hits / Page This sets the number of products that will be displayed on a single page - other data members are reached on subsequent pages by 'Next' and 'Previous' buttons.

  • Shopping Cart Preferences

    Here you can control the appearance and behavior of the 'Shopping Cart' on the Web Site:
    1. 'Buy' Button Here you set the text that appears as 'Buy' and Hyperlink for Products. If you wish an image instead of text for the 'Buy' link, enter the image location inside an <IMG SRC=... > HTML string. If you do not wish to enable purchases from the site, leave these two fields blank.
    2. 'Remove' Button Here you set the text that appears as 'Remove' Column Header and Hyperlink for Products listed on the 'Shopping Cart' page. If you wish an image instead of text for the Remove link, enter the image location inside an <IMG SRC=... > HTML string.
    3. 'Basket Empty' Here you set the message or HTML displayed when the shopping basket page is viewed, but no goods have been purchased.
    4. 'When a purchase is made, navigate straight to the Basket' If you tick this box, the customer will see the 'Shopping Basket' page each time a purchase is made on the Web Site. If you uncheck it, the Web Site will remain on the current page.

  • Trade Price List Logins

    Here you can use ShopMaster to use Retail and Trade price lists on the same Web Site. The password's) to authenticate the two 'Trade Price' logins are set from this menu option.

    To activate this option you need to have field(s) in the Products Table identified as the 'Trade Price 1' or 'Trade Price 2' Data Type. See Database > Table Manager for details.

    In the HTML Editor, you can Insert a 'Trade Price Login' Box. This will instruct the Web Site to display and calculate different Prices as specified in either 'Trade Price 1' Data Type and/or the 'Trade Price 2' Data Type, if the customer uses the correct login password.
  • Advanced
    1. Resource JavaScript By default, ShopMaster uses a file resource called 'cat_script.htm' from its own directory, to create the Web Site's display and ordering scripts. If you wish to modify this file, for example to display lists in a different format, copy it as a different name, make the changes, and then set the location of the modified script in this box.
    2. Auto-Save on Preview If you tick this box, ShopMaster will save the entire Web Site to your Hard Drive each time you use the 'Preview' feature from the Session Menu.

      Depending on the size of the Database, this can take several seconds. If you are doing work that doesn't require a 'save' of the Database, for example editing HTML pages, you can speed up program performance by unchecking the 'Auto-Save on Preview' box.


Help > Preferences > Merchant

Here you set the information about yourself (or your client) which will be used for E-Mails and Invoices.

The available Preferences are as follows:
  • Business E-Mail

    This is the E-Mail address that will be used as the 'From' address for E-Mails, if the 'Contact E-Mail' box is left empty.


Help > Preferences > Tax

Here you enter the information that enables the Web Site to calculate Purchase Tax on an order.

To make this feature functional you need to have a field in the Products Table identified as the 'Tax Band' Data Type. See Database > Table Manager for details.

Each Product can then be assigned (from Data Entry > Products) to one of three tax bands - 'One', 'Two' or 'Not Set'.

If the Tax Band for a Product is 'Not Set', Purchase Tax will not be calculated on that product.
If it set to 'One', Purchase Tax will be calculated at the rates you set in Tax Rate #1, whereas a setting of 'Two' will use Tax Rate #2.

You can set 10 Areas and 10 Tax Rates for each Tax Band. The Areas normally correspond to different Countries / States.

For example, if you are in Florida the US, you could have three Areas. One would be called 'Non-US', and would have a Rate of '0'. The second area would be for 'US Residents Outside Florida', and would have a Rate equivalent to the Federal Purchase Tax applicable to all sales within the US. The third Rate would be called 'Florida Residents', and would have a Rate equivalent to the Federal plus the Florida State Tax.


Help > Preferences > Shipping

Here you enter the information that enables the Web Site to calculate Shipping on an order.

You also need to have a field in the Products Table identified as the 'Shipping Band' Data Type. See Database > Table Manager for details.

The Shipping set-up options are as follows:
  • Shipping Tax This assumes you have set up Purchase Tax from Preferences > Tax. If your Shipping charges are not chargeable for Purchase Tax, select 'Not Taxable'. Otherwise select one of your two Tax Bands.
  • Minimum Global Shipping Cost This over-rides all other Shipping Calculations if its value is undershot. Enter a figure here for the minimum Shipping charge per order, or leave it blank to use a default value of '0'.
  • Maximum Global Shipping Cost Again, this over-rides all other Shipping Calculations if its value is exceeded. Enter a figure here for the maximum Shipping charge per order, or leave it blank to use a default value of infinity.
  • Shipping Tables #1, #2, #3 Each Product can be assigned (from Data Entry > Products) to one of four Shipping Bands - 'One', 'Two', 'Three' or 'Not Set'.

    If the Shipping Band for a Product is 'Not Set', Shipping will not be calculated on that product.
    If it set to 'One', Shipping for that product will be calculated at the rates you set in Shipping Table #1, a setting of 'Two' will use Shipping Table #2, etc.
  • Shipping Option(s) You can set 10 Options, used across each Shipping Table. The Options should correspond to different ways of Shipping the Products. Example Options could be 'Special Courier', 'Air Mail', 'Surface Mail', 'Customer Collect', etc etc.
  • Charge A / B These are numerical values used to calculate Shipping for an option. The default value for blank entries is '0'.
  • Formula You can choose one of the three formulas to calculate Shipping for Products using the relevant Shipping Table. The formulas can use a) The total order value of Products using this Shipping Table b) The total weight of the same Products (To do this, you need to have a field in the Products Table identified as the 'Weight' Data Type. See Database > Table Manager for details) c) The numerical values A and B.
  • Min / Max Charge This are the Minimum and Maximum charges which the Shipping formulae will apply. Note that this does not apply to individual Product 'Shipping Supplements' (see below) which are in addition to the formulae, or to Tax on Shipping charges (see above).
  • Shipping Supplements These are set up from the Data Entry > Products menu. If you have set up a Data Type of 'Shipping Supplement' in the Database > Table Manager menu, then you can enter a Shipping Supplement for each Product, which will be applied in addition to the standard formulae.


Help > Preferences > Currencies

Here you can use the free ShopMaster Currency Feed to convert prices on the Web Site into the shopper's own currency. The Currency menu options are as follows:
  • Update This saves the current settings to the Database.
  • Download Latest Rates You need to connect to the Internet before pressing this option. This will update the rates on your desktop directly from the ShopMaster Web Site.

  • Store Currency This is used as the 'From' Currency for cross-rate calculations. It should be set to your own currency.

Note

To change the rates, you need to place a 'Currency Selector' Object on at least one page on the Web Site. See HTML Editor > Insert > Currency Selector for details.


Help > Preferences > On-Line Banks

Here you can use an On-Line Bank to settle Invoice Balances. The On-Line Bank menu options are as follows:
  • Your Bank Select your On-Line Bank from the list available. You will need an account with the bank before you can use its service.
  • Bank Options These vary according to the Bank you have selected. In most cases you should check with the bank documentation to see what options you require. However two fields are always required:
    1. Server URL This is the URL to which ShopMaster should send payment information, formatted as an HTTP 'Post'.
    2. Merchant ID This is your identifier with the On-Line Bank - they will provide you with this.


ShopMaster Help

Help > Database
  • Help > Database > Table Manager
  • Help > Database > Export Data
  • Help > Database > Import Data


Help > Database > Table Manager

Here you can control the Products Table of the Database. The schema is as follows:

  • Field Name
    These are the text names of the database fields - they are user-defined, can be of any number, and can hold any values you wish.

    When you first create a database, ShopMaster will create a sample set of fields. Also, when you import data into a database table, the field names will be taken from the first row of imported data.

  • Data Type
    These are the internal representations of the Field Names - what they actually mean to ShopMaster. For example a Data Type of 'Image' will be rendered to screen as a picture using the <IMG SRC= tag, a Data Type of 'Price' will be used to calculate Invoices, etc.

    The available Data Types for the Products Tables is as follows:

    KEY: * = Required, ** = No Duplicates (type can only exist once per table)

    PRODUCTS TABLE DATA TYPES
    1. Category Products are distinguished from each other by category. The categories are chiefly used for navigation on the Web Site and in the Products area of the Database. * **
    2. Product Code Every individual product in the database must have a unique Product Code. * **
    3. Trade Price 1 / Trade Price 2 On the Web Site, the price of any individual Product can be substituted for one of two Trade Prices via two password-protected logins. The login passwords can be set from General Preferences **
    4. Template This is an internal association, with the Product Page Templates created in the HTML Editor. Each product can be associated with an individual Product Data page, from the DATA ENTRY > PRODUCTS menu * **
    5. Description This is similar to the 'Text' data type. Product Descriptions are used internally by ShopMaster in association with Product codes to display a distinguishing descriptive header of a Product* **
    6. Image Image Data Types are treated as text strings containing an Image filename. An image data type is always rendered to screen as an image, i.e., using the <IMG SRC= tag
    7. Stock Level If you using ShopMaster to perform Stock Control, this data type holds the stock level for each Product, as a numerical value. **
    8. Visible The Visible Data Type is either 'On' or 'Off' for each Product. If the Visible Data type is set, and is unchecked in the Data Entry Screen for an individual Product, that Product will not display on the Web Site **
    9. Shipping Band If you are calculating Shipping Charges on the Web Site Checkout, this Data Type is required to place each Product into one of three user-defined Shipping Bands **.
    10. Weight If you wish to calculate Shipping by Weight, this Data Type holds the weight of each Product **
    11. Tax Band If you are calculating Purchase Tax on the Web Site Checkout, this Data Type is required to place each Product into one of three user-defined Tax Bands. **
    12. Shipping Supplement If you are calculating Shipping Charges on the Web Site Checkout, this Data Type is used to hold an additional Shipping Charge for an individual Product (for example, if a Product requires a supplementary charge for special delivery or packing) **
    13. Variations This is an internal association, with the Variations tables used by ShopMaster to create different options for each Product. The Variations tables are set up from the Data Entry > Products > Variations menu **
    14. Bonus Product The Bonus Product Data Type is used to set a 'Free Gift' to accompany a particular product purchase. Enter the product code of the free gift into the Free Gift column for the product, and it will be added to the basket at zero cost, if the product is bought. **
    15. Threshold Price. These have two fields, a Price and a 'Threshold Units' or trigger level. If the quantity bought exceeds the trigger level, the calculated price for the product is dropped to the threshold price. You can have as many Threshold Prices as required, to create a sliding scale of prices for each product.
    16. Minimum Order. This sets the minimum level of order for a product, if needed. It will be impossible for shoppers to buy less than the minimum level of a product.
    17. Long Text All Data Types are, with the exception of 'Long Text', restricted to 255 characters on length. With Long Text there is no limit on size. In other respects, 'Long Text' is the same as 'Text' (see below).
    18. Text This is the Default Data Type. Any Product Data that does not fit into the above categories, for example an extended description field, product dimensions etc., should be assigned to a Text Data Type

  • Link
    If a Field is set as a Link - whenever the field data is displayed on the Web Site, it will be as a hypertext link to a Product Category (in the case of the field being set to a 'Category' Data Type') or a Product Details Page (in all other cases).
  • Visibility
    Turns data display on and off in the different areas of the Web Site, and on the ShopMaster-generated Invoices. The breakdown of this is as follows:
    1. Web Site Product Data that will not be displayed on the Web Site should have this field unticked, to save download time.

  • Records
    Displays the total number of records in a field that hold valid data
  • Action
    1. Press 'Update' to save changes to the Data Type, Link or Visibility types for an individual field.
    2. Press 'Delete' to remove a field and all it's data
    3. Press Rename to change a field name.
    4. Pressing 'Populate' will allow you to insert a single Data value across all records in a single field. For example - set all Stock Levels to '1'.
    5. Press 'Up' to move a Field up one with respect to its neighbors in the Database, 'Down' to move it down.


Help > Database > Export Data

You can export textual data from any ShopMaster Table.

In the Database > Export menu screen, tick the Tables you wish to export, and select the export format, either .csv (comma-separated variable), or *.txt (Text)

The export will be as plain text (ASCII) files in the following format:
  • Each line will represent a single row or record of Data
  • The first line of the file will contain the Field Names
  • Individual records will be separated by either a comma (,) or a tab character. In the case of the former, the files will have the extension *.csv (comma-separated variable), in the latter *.txt (Text)

Press 'Export', and ShopMaster will prompt you to choose a File name and location for each Table to Export. The tables will be saved this way in sequence.

Note The data will be exported from ShopMaster via an SQL query. The screen that follows an Export prints the query syntax, followed by a Hypertext link giving the name of the exported file on your system.

If you click on the Hypertext link, Windows will open the file directly using the default viewer associated on your system with that file type. This is normally Internet Explorer for *txt files, and Excel for *.csv files, if the latter is installed.


Help > Database > Import Data

Here you can import textual data from a spreadsheet or database into ShopMaster. You can populate either the Products or the Customers Database Table. For both Tables the import procedure is the same:
  1. Prepare the Data

    a) Flat Files ShopMaster expects flat file Data as plain text (ASCII) files in the following format:
    • Each line represents a single row or record of Data
    • The first line of the file contains the Field Names
    • Individual records are separated by either a comma (,) or a tab character. In the case of the former, the file must have the extension *.csv (comma-separated variable), in the latter *.txt (Text)
      Most spreadsheet programs can create comma or tab-delimited files. In Microsoft Excel the procedure is File > Save As > Save As Type > *.txt or *.csv

    b) Databases / Spreadsheets ShopMaster can also import data directly from Databases or Spreadsheets, of the types displayed. The import can only be from a single database table, or a single Spreadsheet workbook. When you begin the import, you will be prompted to choose the table or workbook from which to import.

  2. Import the Data

    In the Database > Import Data Screen, select the Database Table you wish to populate, and the Data Type of the resource files. Press 'Next' to locate the file and perform the import

  3. Set Up Data Types

    In most cases you will now need to tell ShopMaster about the Data Types of the different fields you have imported.

    After a Data Import you will be automatically taken to the Database > Table Manager menu to set this up.


ShopMaster Help

Help > Data Entry
  • Help > Data Entry > Products


Help > Data Entry > Products

Here you enter Product Data into the Database fields.

Depending on the Data Types you have set up in the Database > Table Manager menu, the fields will appear as either text fields, drop-down menus, or checkboxes. Note that the maximum size of any field value is 255 Characters.
  • Control Menu Options
    1. Update Click this link to save data for the current Product.
    2. New Category Each Product must be in a Category. Press 'New Category' to create an individual Category. You can have as many Categories as you require.
    3. Delete Product Removes the current Product from the Database.
    4. New Product Creates a new Product record in the current Category.
    5. Assign Categories to Templates Each Category is displayed on the Web Site using an HTML template. See Web Site > Layout for full details.
    6. Product Variations A Product can have multiple purchase options, if required.

      For example a T-Shirt can sell in Red , Green or Blue, and in sizes Large, Medium or Small. See Data Entry > Products > Product Variations for full details.
  • Nav Menu Commands
    1. Search Enter either part or all of either a Product ID, or a Product Description, to search the Products table of the Database. Matches will be returned as Hypertext links to the individual records.
    2. Category Nav Use the left pull-down menu to navigate Categories.
    3. Products Nav Use the right pull-down menu to navigate through Products in a single Category.
  • 'Current Product' Record

    The layout of the records depends on the Field Names, the order of the Fields and the Data Types you have set in the Database > Table Manager menu.

    The Data Types will appear as follows:
    1. Long Text Box: Description
    2. Short text Box: Product Code, Price, Trade Price 1, Trade Price 2, Stock Level, Shipping Supplement
    3. Drop-Down List: Category, Template, Variations, Shipping Band, Tax Band
    4. Check-Box (Y/N): Visible
    5. 'Browse' link (and Picture): Image


Help > Web Site > Layout

A ShopMaster Web Site contains two types of pages, Top-Level and Template Pages.

Top-Level Pages are normal HTML pages which display a fixed presentation.

For example a page called 'About Us' would be a Top-Level page, only one instance of the page would exist on the Web Site. In the ShopMaster HTML Editor, you can link directly between and to Top-LevelPages in the same way as if you were building a Web Site in a standard HTML authoring package.

When you first create a Database, ShopMaster will create a core set of Top-Level Pages, to which you can add as many additional pages as required.

Template Pages are JavaScript-driven pages which are used to render dynamic (changing) data.

You never link directly to a Template page, but to a data set that it represents. For example, if you sell 500 products, you do not want to create 500 individual product information pages. Instead you can create the appearance of an individual page for each Product, by using one or more Product Templates, and assigning each of the products to a Template.

Template Pages exist in two types:
  1. Category Templates

    These are used to display a lists of Products in a Category. The format of the list is an HTML table, one Product per line.

    The data elements that appear are set globally from Database > Table Manager > Visibility.

    To assign an individual Product Category to a particular Category Template, use the Web Site > Page Manager > Set Assignments screen.

    When you first create a Database, ShopMaster will create a single Category Template called 'Generic', to which you can add as many additional Category Templates as required. The Generic Category Template is the default template for all new or un-assigned Product Categories.
  2. Product Templates

    These are used to display Data for an individual Product.

    The Data that can appear on the Page is set globally for all Product Pages from the Database > Table Manager.

    To assign an individual Product to a particular Product Template, change the Template field in Data Entry > Products.

    When you first create a Database, ShopMaster will create a single Product Template called 'Generic', to which you can add as many additional Product Templates as required. The Generic Product Template is the default template for all new or un-assigned Products.


Help > Web Site > Direct Entry

To link to and use the Web Site, you need to know the following information:
  • The Web Site is a Frameset

    The Front (or 'Home') page of the Web Site is named 'index.htm'. This page is a three-page frameset. The JavaScript that controls Database Access, and the flat-file Database itself, are held in the top two frames. These frames will not normally be visible, as they are zero-height. The lower frame is full-window height, and contains the visible pages of the Web Site.

    Do not attempt to open or Hyperlink to anything other than the page 'index.htm'. The frameset is required for the Web Site to operate. To enter on other than the Front Page, or with specific preferences use the following options:
  • Site Entry Options

    The preferences for Direct Entry are set in the query-string of the Store URL. The query-string is represented by data following a question-mark (?) sign placed after the URL of the Web Site. For example, if your Web Site is on the URL http://www.mysite.com/index.htm, then a query-string holding the data 'hello_world' would be http://www.mysite.com/index.htm?hello_world

    A ShopMaster Web Site will scan the entire query-string for data when it first loads. Individual data elements must be separated by an ampersand (&-sign.)
    1. To Link to a Catalog Page To link to an individual Page, for example 'mypage.htm' place the piece of data 'enter=mypage.htm' in the query-string.
    2. To Link to a specific Category To link to an individual product Category, for example 'Books' place the piece of data 'cat=Books' in the query-string.
    3. To Link to a specific Product To link to an individual Product Code, for example 'PR_123' place the piece of data 'prod=PR_123' in the query-string.

      To Link to a specific Product and to automatically 'Buy' it (i.e., place it in the Basket on Store Entry) Place the additional piece of data 'action=basket' in the query-string.
    Examples
    1. Go straight to Books:
      http://www.mysite.com/index.htm?cat=Books
    2. Link to the site from Jeff's Book Review page, to see our books:
      http://www.mysite.com/index.htm?aff=Jeff&cat=Books
    3. Link to the site to look at the book with Product Code 'War and Peace':
      http://www.mysite.com/index.htm?prod=War+and+Peace (NOTE THE URL ENCODING - see below)
    4. Place a 'Buy This Book Now' link on another site:
      http://www.mysite.com/index.htm?prod=War+and+Peace&action=basket
    Note

    Product Codes and Category names should be URL Encoded, for cross-browser support.


Help > Web Site > Uploads & Updates

When you create a new Database, ShopMaster creates the file system for the Web Site in the same directory you have chosen for the Database.

This file system should be duplicated on the Web Server, and updates should be carried out according to the instructions below:
  • Site Layout
    1. All HTML pages are created and maintained in the 'root' folder.
    2. All Images on individual pages are held in the '/siteimages' folder.
    3. All Product Images are held in the '/productimages' folder.
  • When Uploading a new Web Site

    Upload all files from all folders to the site, with the exception of the database itself, which is not required. This has the file extension '.mdb'
  • When Updating an Existing Web Site
    1. Always upload the page 'data1.htm' from the 'root' folder - which holds the Products Data.
    2. Always upload the page 'cat_script.htm' from 'root' folder - which holds the Data access script and site Preferences.
    3. Upload any HTML Pages which you have changed or created in the current session. The names of the files will be the same as the Page names, with the prefix 'cat_' in the case of a Catalog page, 'cgr_' in the case of a Category Template, and 'prod_' in the case of a Products Page Template.
    4. Upload any new HTML page images from the '/siteimages' folder.
    5. Upload any new Product images from the '/productimages' folder.


ShopMaster Help

Help > HTML Editor
  • Help > HTML Editor > Insert
  • Help > HTML Editor > Checkout


Help > HTML Editor > Insert

Here you place 'Insertable Objects' on a Page. These Objects are written in JavaScript, and are used to either display data on the Page, or perform some useful action, such as a 'Buy' link for a Product.

The range of available Objects depending on the type of Page you are on. The full set is as follows:
  • Image Places an Image on the Page
  • Anchor Displays the 'Insert Hyperlink' menu. Using the menu you can link using text or an image to either:
    1. A Catalog Page
    2. A Category (rendered using the assigned Category Template - see Web Site > Layout > Category Templates)
    3. An Individual Product (rendered using the assigned Product template - see Web Site > Layout > Product Templates)
    4. A URL elsewhere on the Web
    5. The Search Results page for a word or group of words.

      For example, if you have a category for 'Books', but none for 'Charles Dickens', you can create a 'Charles Dickens' category on the fly by creating a Search Results link on the phrase 'Charles Dickens'. The Search results page will render all Products with 'Charles Dickens' as part of either a Product Code or Description.

  • Currency Selector Places a Currency Selection Box on the Page - see Preferences > Currencies)
  • Trade Login Places a Trade Price Login Box on the Page - see Preferences > General >Trade Price Logins)
  • Customer Login Places a Customer Login & Password Box on the Page.

    Each Customer in the Database has a unique Customer ID and Password. (see Data Entry > Customers for Details). The Customer Login validates the ID/Password Combination. If successful, it then steers to the 'Front Page - Logged In' Catalog page, otherwise it stays on the current page.

    Use the Login Boxes if you want to allow only existing Customers into the site, approximately as follows:

    ...On the 'Front page' create a link to a catalog Template called, for example 'Login' > On Login place a Customer Login Box > On 'Front Page - Logged In', then create links into the Catalog...
  • Search Box Places a Search Box on the Page
  • Mailing List Box Places a Mailing List Add Me /Remove Me box on the Page - (see Data Entry > Mailing List for Details).
  • Contact Us Form Places a 'Contact Us' Form on the Page - (see Data Entry > Messages for Details).
  • Basket Total Cost Renders the total Cost of Products currently in the Shopping Basket
  • Basket Total Cost Renders a count of the Products in the Shopping Basket
  • Category / Page Name A text display of where we currently are in the Web Site - or in the case of Category Template Pages, the Current Category.
  • Categories Navigation Box A dynamic 'Quick Jump' list box of categories. If we are in a Category template, the selected element is the Current Category.
  • Products Navigation Box A dynamic 'Quick Jump' list box of Products in the Current Category.
  • From Element Only visible if you are editing one of the 'Checkout' Catalog Pages. - (see HTML Editor > Checkout for Details).
  • Script Element
    1. Generic Display Script A universal script that renders a table of Data. If you are editing the 'Search Results' Catalog Page, the Search data, if your are editing the 'Shopping Basket' Catalog Page, the Shopping Basket, and if you are editing a Category Template, the relevant Category data, if you are editing a Products Template, all the data for an individual Product.
    2. 'Buy' Button Only visible if you are editing a Product template. Places a 'Buy' link on the Page.
    3. Product-specific Data Again, only visible for Products templates. Displays individual data fields for the Product, as required.


Help > HTML Editor > Checkout

ShopMaster creates two types of 'Checkout' Pages for the Web Site. The Checkout Pages are a special case of the 'Catalog' Page (see Web Site > Layout > Catalog Pages).
  • Available Form Elements

    The Checkout Pages are the only pages on which the HTML Editor > Insert > Form Element menu is operational. On this menu you can select following options:
    1. Field Type Standard HTML Form Fields. These will appear as follows:
      Text Box
      Text Area Box
      Check Box

              Radio Box
      Hidden
      Submit
      Drop-Down List
    2. Field Properties The name of the field will be sent to you via e-mail, followed by the text or option selected by the Customer. If you wish to set a default value for the field, then enter it in 'Default Value', otherwise leave it blank.
  • The Two Checkout Page Types
    1. Checkout Pages When you first create a database, ShopMaster will create one blank Checkout page, called 'Checkout'. Any Catalog page you create which begins with the work 'Checkout' will also be treated as a Checkout page - thus there is no restriction on the number of Checkout Pages on the Site. On Checkout pages you should place as many of the 'Customers' and the 'Order Instructions' form elements as are required to create a complete Customer / Order record set.

      The 'Customer ID' Data Type is special, in that it will place a second 'Password' box onto the page. If a valid Customer ID/Password combination is entered by the Customer, ShopMaster will match the incoming Order with the existing Customer record in the database, when the Order is downloaded. See Data Entry > Customers > Notes for further details.
    2. Checkout - Secure Server There only exists one instance of this page. It is created when you first create a database. This page should be used to collect Credit Card numbers, or any other information that requires a secure connection.

      You cannot link directly to the Checkout - Secure Server page using the HTML Editor. To use it, make sure that 'Checkout - Secure Server' is checked in Preferences > General > Checkout Goes To...

      The Checkout - Secure Server page will then be the target of all Checkout Page submissions, and will appear as a second checkout page prior to the 'Order Completed' page.       It will be passed as a background post to the the CGI script in Preferences > General > CGI Script Address, and re-rendered from that source via SSL, providing the CGI script is running a security certificate.

Notes

  1. You cannot place Insertable Objects, or Tax / Shipping boxes on the Checkout - Secure Server page. Place them on the preceding Checkout page. Also, if you have images on the Checkout - Secure Server page, make sure that they are also served from a Secure Server, otherwise the browser will display security alert messages.
  2. If you are using the 'Checkout - Secure Server' page, the customer must complete both pages, or the order will not be recorded by the server.


ShopMaster Help

Help > Web Site
  • Help > Web Site > Layout
  • Help > Web Site > Direct Entry
  • Help > Web Site > Uploads & Updates


Help > Session > View Program Log > Log Manager

The Log Manager enables you to select which Program Events are recorded in the ShopMaster Program Log, and also to delete Log Records prior to a chosen date.

Notes
  • The Log files can grow large with time, eventually this can impact Program Performance. It is a useful idea to occasionally delete out-of date information.


Help > Preferences > Site Template

The Site Template is a single HTML page which is cloned each time you create a new Catalog Page, or a Category/Product Page Template.

When you create a New Database, this is the first Management Console menu you will see. The Template you select will be used to create a 'Vanilla' Web Site with a core set of Catalog Pages, and Category and Product Page Templates.

ShopMaster ships with several 'Ready to Go' Templates, but you set a previously created HTML page as a Template by using the 'Browse' button.

Notes
  1. You cannot use an HTML frameset as a Template.
  2. If the page contains images and files which are not on your hard drive, global rather than local (i.e. <IMG SRC=http://mysite.com/images/logo.gif> rather than <IMG SRC=/images/logo.gif>) then ShopMaster will not be able to copy them. Doing this can also result in Program instability.
  3. If you use one of the pre-configured ShopMaster templates, ShopMaster will place several Insertable Objects (Search Boxes, List Scripts etc.) in the appropriate parts of each page. If you use your own, you will have to place Insertable Objects on each page as required. See HTML Editor > Insert for details.


Help > Data Entry > Products > Variations

Here you enter different purchase options for an individual Product.

For example a T-Shirt can sell in Red , Green or Blue, and in sizes Large, Medium or Small.
  • Control Menu Options
    1. Update Saves data for the current Variation.
    2. Delete Variation Deletes the current Variation from the Database.
    3. New Variation Creates a new Variation.
  • Nav Menu Commands
    1. Variation Navigates you through the different Variations in the Database, by name
  • Options #1/ #2 / #3 Each Variation can have up to three Options. These correspond to up to three 'Choose from' lists on the Web Site. For example, for T-shirts, Option 1 might be Size, Option 2 Color, and Option 3, Material.
    1. Name A text description of the Option (for example 'Size')
    2. Values A list of the individual members of the Option, one per line (for example Large, Medium, Small).

Notes
  1. For the Variations to be functional, you need to define a 'Variations' Data type for the Products Table, using the Database > Table Manager.
  2. A Variation can be shared amongst Products. In Data Entry > Products the Variation field appears as a drop-down list of the Variations available.


.topic 0
This is topic one

.topic 1001
This is topic two

.topic 0
This is topic three